part of 'media_helper_bloc.dart';

abstract class MediaHelperState {
  const MediaHelperState();

  @override
  List<Object> get props => [];
}

class MediaHelperInitial extends MediaHelperState {}

class MediaHelperFailure extends MediaHelperState {
  final String errorString;
  MediaHelperFailure({required this.errorString});
}

class MediaHelperSuccess extends MediaHelperState {
  final List<Media> items;

  const MediaHelperSuccess({required this.items});

  MediaHelperSuccess copyWith({List<Media>? items}) {
    return MediaHelperSuccess(items: items ?? this.items);
  }

  @override
  List<Object> get props => [items];
}
